org.apache.tinkerpop.gremlin.structure

## Class Element.Exceptions

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.Element.Exceptions

- Direct Known Subclasses:
    Edge.Exceptions
  Enclosing interface:
    Element

      public static class Element.Exceptions
      extends Object

  Common exceptions to use with an element.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Exceptions()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IllegalStateException` | `elementAlreadyRemoved(Class<? extends Element> clazz, Object id)` Deprecated. As of release 3.1.0, not replaced - this exception is no longer enforced by the test suite.
    `static IllegalArgumentException` | `labelCanNotBeAHiddenKey(String label)`
    `static IllegalArgumentException` | `labelCanNotBeEmpty()`
    `static IllegalArgumentException` | `labelCanNotBeNull()`
    `static IllegalStateException` | `propertyAdditionNotSupported()`
    `static IllegalArgumentException` | `providedKeyValuesMustBeAMultipleOfTwo()`
    `static IllegalArgumentException` | `providedKeyValuesMustHaveALegalKeyOnEvenIndices()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Exceptions

          protected Exceptions()

  - ### Method Detail

    - #### providedKeyValuesMustBeAMultipleOfTwo

          public static IllegalArgumentException providedKeyValuesMustBeAMultipleOfTwo()

    - #### providedKeyValuesMustHaveALegalKeyOnEvenIndices

          public static IllegalArgumentException providedKeyValuesMustHaveALegalKeyOnEvenIndices()

    - #### propertyAdditionNotSupported

          public static IllegalStateException propertyAdditionNotSupported()

    - #### labelCanNotBeNull

          public static IllegalArgumentException labelCanNotBeNull()

    - #### labelCanNotBeEmpty

          public static IllegalArgumentException labelCanNotBeEmpty()

    - #### labelCanNotBeAHiddenKey

          public static IllegalArgumentException labelCanNotBeAHiddenKey(String label)

    - #### elementAlreadyRemoved

          @Deprecated
          public static IllegalStateException elementAlreadyRemoved(Class<? extends Element> clazz,
                                                                                Object id)

      Deprecated. As of release 3.1.0, not replaced - this exception is no longer enforced by the test suite.
      See Also:
        TINKERPOP-297

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.